
Redmine - Defect #29191

Cannot set no_notification option when receiving emails via  IMAP or POP3

2018-07-04 14:50 - Erich Balan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 3.3.9   

Resolution: Fixed Affected version:  

Description

I'm refering to this documentation about receiving emails with IMAP:

http://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails

Within the section "Forwarding emails from your email server" there is an option

--no-notification       disable email notifications for the created user

 In the section "Fetching emails from an IMAP server" this option is missing. I tried to add it in my rake command "no_notification=1",

but it doesn't seem to work.

Could you add the feature "no notification" for IMAP fetching?

Best Regards

Erich

Related issues:

Related to Redmine - Feature #13341: Mail handler: --no-notification option t... Closed

Related to Redmine - Patch #29669: "no_notification" option is not listed in ... Closed

Has duplicate Redmine - Defect #28029: Rake tasks for fetching email don't su... Closed

Associated revisions

Revision 17432 - 2018-07-06 02:51 - Go MAEDA

Fix: Allow to set no_notification option when receiving emails via IMAP or POP3 (#29191).

Patch by Holger Just.

Revision 17433 - 2018-07-06 03:38 - Go MAEDA

Merged r17432 from trunk to 3.4-stable (#29191).

Revision 17434 - 2018-07-06 03:40 - Go MAEDA

Merged r17432 from trunk to 3.3-stable (#29191).

History

#1 - 2018-07-04 14:56 - Go MAEDA

- Category set to Email receiving

#2 - 2018-07-05 17:55 - Holger Just

- File 0001-Allow-to-set-no_notification-option-when-receiving-m.patch added

- Target version set to Candidate for next minor release

The attached patch fixes this issue and allows to set the option for mails received via IMAP and POP3 as well.

#3 - 2018-07-05 18:32 - Erich Balan

Thank you, Holger!
http://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails


I'm new to Redmine and not a Ruby developer. Is there a way to patch my installation or should I wait until the new version is released and update my

system?

Best Regards

Erich

#4 - 2018-07-06 01:23 - Go MAEDA

- Related to Feature #13341: Mail handler: --no-notification option to disable notifications to the created user added

#5 - 2018-07-06 02:29 - Go MAEDA

- Target version changed from Candidate for next minor release to 3.3.9

#6 - 2018-07-06 02:51 - Go MAEDA

- Tracker changed from Feature to Defect

- Subject changed from Fetching IMAP-emails create user with no notification to Cannot set no_notification option when receiving emails via  IMAP or

POP3

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

#7 - 2018-07-06 03:53 - Go MAEDA

- Status changed from Resolved to Closed

Committed to the trunk and stable branches. Thank you all for reporting and fixing this issue.

Erich Balan wrote:

I'm new to Redmine and not a Ruby developer. Is there a way to patch my installation or should I wait until the new version is released and

update my system?

 Please replace the file app/models/mail_handler.rb on your system with the one downloaded from the following URL.

Redmine 3.4: https://www.redmine.org/projects/redmine/repository/revisions/17433/entry/branches/3.4-stable/app/models/mail_handler.rb

Redmine 3.3: https://www.redmine.org/projects/redmine/repository/revisions/17434/entry/branches/3.3-stable/app/models/mail_handler.rb

You can ask in forums if you have any more questions.

#8 - 2018-09-25 04:49 - Go MAEDA

- Has duplicate Defect #28029: Rake tasks for fetching email don't support "no_notification" option added

#9 - 2018-09-25 07:10 - Go MAEDA

- Related to Patch #29669: "no_notification" option is not listed in the description of email.rake added

Files

0001-Allow-to-set-no_notification-option-when-receiving-m.patch 1.79 KB 2018-07-05 Holger Just
